<template>
  <div class="share-qrcode-view">
    <qrcode-vue :value="link" :size="size"></qrcode-vue>
  </div>
</template>

<script setup lang="ts">
import QrcodeVue from 'qrcode.vue';
import { useLifeRechargeContext } from '@life-payment/core-vue';
import { computed } from 'vue';

defineOptions({
  name: 'ShareQrcodeView',
});

type Props = {
  channlesNum?: string;
  size?: number;
};

const props = withDefaults(defineProps<Props>(), {
  size: 200,
});

const { blLifeRecharge } = useLifeRechargeContext();

const link = computed(() => `${CLIENT_ORIGIN}?channelId=${props.channlesNum}`);
</script>
